/*******************************************************************************
 * @note Copyright (C) 2020 Shanghai Panchip Microelectronics Co., Ltd. All rights reserved.
 *
 * @file main.c
 * @brief
 *
 * @history - Vxx.xx ,Date :
*******************************************************************************/

#include "stm8l15x.h"
#include "LED.h"
#include "Key.h"
#include "App.h"
#include "appsub.h"
#include "stm8l15x_tim2.h"
#include "stm8l15x_tim3.h"
#include "stm8l15x_dma.h"
#include "stm8l15x_usart.h"
#include "stdio.h"
#include "CPU.H"
#include "VCPU.H"
#include "CONFIG.H"
#include "BIOS.H"
#include "Utility.h"

void main(void)
{    
    BIOS_Init();
 
    #ifdef  DEBUG_PRINT_STRING 
    printf("System init OK!\r\n");
    #endif 
    
    /******mode select****/ 
    RFAPI_TestMode();  
    
    while(1)
    {
        /*TX & RX App(keyscn¡¢RF data transmition¡¢LED display)*/
        APP_StateMachine();
        
        /*RF TX & RX StateMachine*/
        RFAPI_StateMachine();
    }
}

/******************************End of file************************************/